StarPU Internal Handbook

Data Structures | Macros | Functions
starpu_spinlock.h File Reference
`#include <errno.h>`
`#include <stdint.h>`
`#include <common/config.h>`
`#include <common/fxt.h>`
`#include <common/thread.h>`
`#include <starpu.h>`

Go to the source code of this file.

## Data Structures
struct | _starpu_spinlock

## Macros
#define | _starpu_spin_destroy(_lock)
#define | _starpu_spin_checklocked(_lock)
#define | _starpu_spin_lock(lock)
#define | _starpu_spin_trylock(lock)
#define | _starpu_spin_unlock(lock)
#define | STARPU_SPIN_MAXTRY

## Functions
static int | _starpu_spin_init (struct _starpu_spinlock *lock)
static int | __starpu_spin_lock (struct _starpu_spinlock *lock, const char *file STARPU_ATTRIBUTE_UNUSED, int line STARPU_ATTRIBUTE_UNUSED, const char *func STARPU_ATTRIBUTE_UNUSED)
static int | __starpu_spin_trylock (struct _starpu_spinlock *lock, const char *file STARPU_ATTRIBUTE_UNUSED, int line STARPU_ATTRIBUTE_UNUSED, const char *func STARPU_ATTRIBUTE_UNUSED)
static int | __starpu_spin_unlock (struct _starpu_spinlock *lock, const char *file STARPU_ATTRIBUTE_UNUSED, int line STARPU_ATTRIBUTE_UNUSED, const char *func STARPU_ATTRIBUTE_UNUSED)

## Data Structure Documentation

## ◆ _starpu_spinlock

struct _starpu_spinlock

Data Fields
starpu_pthread_spinlock_t | lock |